PCI_SET_POWER_STATE(9)

NAME
pci_set_power_state - Set the power state of a PCI device

SYNOPSIS

int pci_set_power_state (struct pci_dev * dev, pci_power_t state);

ARGUMENTS

dev PCI device to be suspended

state
    PCI power state (D0, D1, D2, D3hot, D3cold) we're entering

DESCRIPTION

Transition a device to a new power state, using the Power Management Capabilities in the device's config space.

RETURN VALUE

-EINVAL if trying to enter a lower state than we're already in. 0 if we're already in the requested state. -EIO if device does not support PCI PM. 0 if we can successfully change the power state.